CREATE TABLE "vpnclients" (
"id" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL  UNIQUE, 
"serial"  NUMERIC NULL  UNIQUE,
"cn" VARCHAR, 
"vpnip" VARCHAR,
"status" VARCHAR,
"kind" INTEGER,
"title" VARCHAR,
"crtstatus" INTEGER,
"lastlogin" DATETIME,
"connectedip" VARCHAR,
"vpnmask" VARCHAR,
"requestcrtip" VARCHAR,
"requestcrtdate" DATETIME, 
"vpnip3num" INTEGER, 
"vpnip4num" INTEGER);


CREATE TABLE vpnserver (
"id" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL UNIQUE, 
"cn" VARCHAR, 
"globaladdr" VARCHAR, 
"localip" VARCHAR, 
"localmask" VARCHAR, 
"localgateway" VARCHAR, 
"dhcp" BOOL NOT NULL DEFAULT false, 
"vpnip" VARCHAR, 
"vpnmask" VARCHAR, 
"maxclients" INTEGER,
"lastclientip" VARCHAR,
"vpnip1num" INTEGER, 
"vpnip2num" INTEGER);

CREATE TABLE "clients_lans" (
"serial"  NUMERIC PRIMARY KEY  NULL  UNIQUE,
"join" INTEGER,
"mask" VARCHAR,
"remap" INTEGER,
"vmask" VARCHAR);

