daemon
mode server
tls-server

port 1194
proto udp
dev tap7

ca   /projects/sys/smconnect/openvpn/keys/ca.crt
cert /projects/sys/smconnect/openvpn/keys/smvpnsrv.crt
key  /projects/sys/smconnect/openvpn/keys/smvpnsrv.key  # This file should be kept secret
dh   /projects/sys/smconnect/openvpn/dh1024.pem

client-config-dir /projects/sys/smconnect/openvpn/ccd
client-to-client
crl-verify /projects/sys/smconnect/openvpn/keys/crl.pem

ifconfig { $vpnip } { $vpnmask }
;push "route { $vpnsubnet } { $vpnmask } { $vpnip }"
;duplicate-cn

keepalive 10 60


;cipher none        # Blowfish (default)
cipher AES-128-CBC
max-clients { $maxclients }

;user nobody
;group nobody
persist-key
persist-tun

status /projects/sys/smconnect/server/openvpn-status.log

verb 3

mute 2

client-connect /projects/sys/smconnect/openvpn/connect
client-disconnect /projects/sys/smconnect/openvpn/disconnect

;username-as-common-name
;client-cert-not-required
;auth-user-pass-verify /etc/openvpn/checkpass via-env
;auth none

script-security 3

comp-lzo yes

management 127.0.0.1 7777

writepid /run/openvpn/smconnect.pid
